Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005409opensim[GRID] Hypergridpublic2011-03-04 08:132013-05-13 16:41
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005409: Dev Master rev14969 Hypergrid from OSGrid, TP home, then error spewing and viewer crash
DescriptionHow to reproduce:

1. Logged into OSG to Bora_Bora_Sandbox and set home position there
1. Hypergrid TP from sim Bora_Bora_Sandbox on OSGrid to hypergrid.org:8002:Waldland. This sim is suposedly running the latest hypergrid release.
2. After I arrived, took a copy of 3 free palm trees, then teleported home to Bora_Bora_SandBox in OSGrid.
3. Errors start spewing on the simulator console for several seconds, then viewer crashes. Simulator log file is attached.
Additional InformationHere is the error that starts spewing over and over:

DEBUG - OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer [SceneObjectSerializer]: exception while parsing Shape FlexiDrag: System.Xml.XmlException: Content cannot be converted to the type Float. Line 1, position 2196. ---> System.FormatException: Input string was not in a correct format.
   at System.Number.StringToNumber(String str, NumberStyles options, NumberBuffer& number, NumberFormatInfo info, Boolean parseDecimal)
   at System.Number.ParseSingle(String value, NumberStyles options, NumberFormatInfo numfmt)
   at System.Single.Parse(String s, NumberStyles style, NumberFormatInfo info)
   at System.Xml.XmlConvert.ToSingle(String s)
   at System.Xml.XmlReader.ReadContentAsFloat()
   --- End of inner exception stack trace ---
TagsNo tags attached.
Git Revision or version number14969
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerImprudence, Hippo
Attached Filestxt file icon Hypergrid TP home with inventory.txt [^] (302,020 bytes) 2011-03-04 08:13

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-03-04 08:13 kenvc New Issue
2011-03-04 08:13 kenvc File Added: Hypergrid TP home with inventory.txt
2011-03-04 08:13 kenvc Git Revision => 14969
2011-03-04 08:13 kenvc SVN Revision => 0
2011-03-04 08:13 kenvc Run Mode => Grid (Multiple Regions per Sim)
2011-03-04 08:13 kenvc Physics Engine => ODE
2011-03-04 08:13 kenvc Environment => .NET / Windows64
2011-03-04 08:13 kenvc Mono Version => None
2011-03-04 08:13 kenvc Viewer => Imprudence, Hippo
2011-03-04 08:35 kenvc Summary Master dev rev 14969 Hypergrid from OSGrid, TP home, then error spewing and viewer crash => Dev Master rev14969 Hypergrid from OSGrid, TP home, then error spewing and viewer crash
2011-10-08 06:04 kenvc Status new => resolved
2011-10-08 06:04 kenvc Resolution open => fixed
2011-10-08 06:04 kenvc Assigned To => kenvc
2013-05-13 16:41 kenvc Status resolved => closed
2013-05-13 16:41 kenvc Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker